# getClassesDirectory

abstract fun getClassesDirectory(): Provider<Directory>

Returns the directory property that is bound to the task that produces the output via compiledBy. Use this as part of a classpath or input to another task to ensure that the output is created before it is used. Note: To define the path of the output folder use getDestinationDirectory

#### Return

The classes directory property for this set of sources.

#### Since

6.1